%define name hylafax
%define version 4.0pl2
%define release 1mir
%define extra %{name}-extra
%define pkg %{name}-%{version}
%define group Applications/Communications

Summary:	HylaFAX is a telecommunication system for UNIX systems.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	better than LGPL
Group:		%{group}
Source:		ftp://ftp.sgi.com/sgi/fax/binary/%{name}-i386-linux-v%{version}-1.tar.gz
Source1:	%{extra}.tar.gz
Requires:	ghostscript >= 3.33
Requires:	libgr >= 2.0.13
Requires:	libgr-devel >= 2.0.13
Requires:	libgr-progs >= 2.0.13
Requires:	libtiff >= 3.4
Requires:	mawk >= 1.2.2
BuildRoot:	/var/tmp/%{name}-root

%description
Hylafax is a sophisticated enterprise-strength fax package for 
class 1 and 2 fax modems on unix systems. It provides spooling
services and numerous supporting fax management tools. 
The fax clients may reside on machines different from the server
and client implementations exist for a number of platforms including 
windows and Mac.

%changelog

* Sun Aug 31 1998 Yeak Nai Siew <yeak@mir.com.my>
  - this is a hack version. If you don't like it, don't use it. I take
    a shortcut to use the "pre-compiled" binary from sgi site. Well, that
    precompiled version works well on my system. Convert it to rpm package
    is good for installing and uninstalling. I have tested on few machines,
    it works out great.
  - updated to 4.0pl2
  - docs are included in this package
  - startup script now chkconfig friendly (modified)
  - it is stable to use. The older version pl1-9 has segmentation
    fault when I use faxmail...
  - the sendmail configuration is included. You need to make this cf
    file manually. See the docs.
  - the binary did not come with afm fonts. This one has. So far I
    haven't seen any RedHat Linux has the proper afm fonts installed...
    I hope this package will not conflict with ghostscript. Do let me
    know, and tell me where you get the ghostscript rpm binary.

* Wed Mar 04 1998 Markus Pilzecker <mp@rhein-neckar.netsurf.de>
  - took ldconfig call out ouf %install section
  - minimized and compressed patch
  - arch rpm buildable as ordinary user
  - diverted subpackages for [un]compressed man pages
  - diverted subpackage for html documentation

* Thu Jan 22 1998 Bernd Johannes Wuebben <wuebben@kde.org>
  - hylafax-4.0-8
  - A previous version of this spec file was handed to me by 
    Ramana Juvvadi (juvvadi@lekha.org)  
    who unfortunately can no longer provide rpms of hylafax. 
    Thanks so much for you work Ramana!
    Bernd

* Fri Oct 24 1997 Ramana Juvvadi (juvvadi@lekha.org)
  - hylafax-4.0-6
  


%prep
%setup -T -c
tar zxf $RPM_SOURCE_DIR/%{extra}.tar.gz
mv %{extra}/* .

%build
# Nothing to build. It has been done. Thanks to folks at sgi. This
# binary is super stable. May be folks at sgi can help me to fill this
# blank?

%install

rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
tar zxf $RPM_SOURCE_DIR/hylafax-i386-linux-v4.0pl2-1.tar.gz

# Change htdocs to standard RedHat web server requirement (not sure
# will apache 1.3.x be the same...)
mkdir home
mv var/httpd home
cd home/httpd
mv htdocs html
cd html/hylafax
$RPM_BUILD_DIR/%{pkg}/fixpath

# Copy the startup init script
cd $RPM_BUILD_ROOT
mkdir -p etc/rc.d/init.d
cp -p $RPM_BUILD_DIR/%{pkg}/faxq.init etc/rc.d/init.d/faxq

# Copy afm fonts
cd $RPM_BUILD_ROOT
mkdir -p usr/lib/ghostscript
cp -rpd $RPM_BUILD_DIR/%{pkg}/fonts usr/lib/ghostscript

# Making links... well, pre-compiled binary is looking at files inside local
# directory. Damn I am not good at compiling source. :-(
cd $RPM_BUILD_ROOT
for i in fax2ps tiff2ps tiffcp tiffinfo; do
	ln -sf /usr/bin/${i} usr/local/bin/${i}
done
mkdir usr/bin
ln -sf /bin/grep usr/bin/grep

# Copy the initial install and uninstall scripts.
cd $RPM_BUILD_ROOT
cp -p $RPM_BUILD_DIR/%{pkg}/hylasetup.sh var/spool/fax/bin
cp -p $RPM_BUILD_DIR/%{pkg}/hylaunset.sh var/spool/fax/bin

%files
/etc/rc.d/init.d/faxq
/home/httpd/cgi-bin
/home/httpd/html/hylafax
/usr/bin
/usr/lib/ghostscript/fonts
/usr/local/bin
/usr/local/lib/fax
/usr/local/man/man1
/usr/local/man/man5
/usr/local/man/man8
/usr/local/sbin
/var/spool/fax
%doc README.rpm
%doc INSTALL-hylafax-i386-linux-v4.0pl2
%doc hyla.conf
%doc fixpath
%doc faxmail
%doc relay_allow

%post
/var/spool/fax/bin/hylasetup.sh
/sbin/chkconfig faxq on

%preun
/etc/rc.d/init.d/faxq stop
/sbin/chkconfig faxq off
/var/spool/fax/bin/hylaunset.sh


%clean
rm -rf $RPM_BUILD_ROOT
